<?php
require_once('FX.php');

if (! isset($_GET['currentPort'])) {
    $_GET['currentPort'] = '';
}
if (! isset($_GET['currentLayout'])) {
    $_GET['currentLayout'] = '';
}

$visualFXQuery = new FX($_GET['currentIP'], $_GET['currentPort']);
$visualFXQuery->SetDBData($_GET['currentDB'], $_GET['currentLayout']);
$visualFXData = $visualFXQuery->FMView();
?>